<!-- SEARCH ZONE -->
<div>
  <h3 class="col-form-label">ค้นหาหนักงาน</h3>
  <div class="row fs-7">
    <div class="col-md-5 col-xxl-5">
      <div class="col-auto">
        <label for="" class="col-auto col-form-label">รหัสพนักงาน</label>
      </div>
      <div>
        <mat-form-field appearance="outline">
          <input matInput placeholder="รหัสพนักงาน" [formControl]="empCode" (keyup.enter)="search()">
        </mat-form-field>
      </div>
    </div>
    <div class="col-md-5 col-xxl-5">
      <div class="col-auto">
        <label for="" class="col-auto col-form-label">ชื่อพนักงาน</label>
      </div>
      <div>
        <mat-form-field appearance="outline">
          <input matInput placeholder="ชื่อพนักงาน" [formControl]="empName" (keyup.enter)="search()">
        </mat-form-field>
      </div>
    </div>
    <div class="col-md-2 col-xxl-2 row">
      <label class="col-auto col-form-label"></label>
      <div class="col-12">
        <button class="col-12 fs-7" mat-raised-button color="primary" (click)="search()">ค้นหา</button>
      </div>
    </div>
  </div>
</div>

<!-- DISPLAY ZONE -->
<div>
  <table mat-table [dataSource]="dataSource" class="mat-elevation-z2" aria-describedby="ตารางข้อมูล">
    <!-- Checkbox Column -->
    <ng-container matColumnDef="select">
      <th id="select" mat-header-cell *matHeaderCellDef>
      </th>
      <td mat-cell *matCellDef="let row">
        <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null"
          [checked]="selection.isSelected(row)">
        </mat-checkbox>
      </td>
    </ng-container>

    <!-- Position Column -->
    <ng-container matColumnDef="code">
      <th id="code" mat-header-cell *matHeaderCellDef> รหัสพนักงาน </th>
      <td mat-cell *matCellDef="let element"> {{element.employeeNumber}} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="prefix">
      <th id="prefix" mat-header-cell *matHeaderCellDef> คำนำหน้า </th>
      <td mat-cell *matCellDef="let element"> {{element.title}} </td>
    </ng-container>

    <ng-container matColumnDef="firstName">
      <th id="firstName" mat-header-cell *matHeaderCellDef> ชื่อ </th>
      <td mat-cell *matCellDef="let element"> {{element.firstName}} </td>
    </ng-container>

    <ng-container matColumnDef="lastName">
      <th id="lastName" mat-header-cell *matHeaderCellDef> นามสกุล </th>
      <td mat-cell *matCellDef="let element"> {{element.lastName}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="selection.toggle(row)">
    </tr>
  </table>
  <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons aria-label="Select page of periodic elements">
  </mat-paginator>

</div>
<div class="row mt-3 d-flex align-items-center justify-content-end">
  <div class="col-auto button-row">
    <button class="mx-2 fs-7" mat-raised-button color="primary" [mat-dialog-close]="selection" cdkFocusRegionEnd>ตกลง</button>
    <button class="mx-2 fs-7" mat-raised-button color="basic" (click)="onNoClick()">ยกเลิก</button>
  </div>
</div>
<app-loader></app-loader>